%define mpiimpl mvapich2
%define mpidir %_libexecdir/%mpiimpl

Name: babel
Version: 1.4.0
Release: alt3.M50.1
Summary: Language tool for high-performance scientific computing community
 
License: LGPL v2.1
Group: Sciences/Mathematics
Url: http://www.llnl.gov/CASC/components/babel.html
Packager: Eugeny A. Rostovtsev (REAL) <real at altlinux.org>

Source: https://computation.llnl.gov/casc/components/docs/babel-1.4.0.tar.gz

Requires: %name-common = %version-%release
Requires: lib%name = %version-%release
Requires: %name-j = %version-%release
Requires: python-module-sidl = %version-%release

Conflicts: openbabel

%set_libtool_version 1.5
BuildRequires(pre): rpm-build-compat rpm-build-python
BuildPreReq: gcc-fortran gcc-c++ %mpiimpl-devel /proc libltdl-devel-static
BuildPreReq: libxml2-devel w3c-libwww-devel libparsifal-devel-static
BuildPreReq: jpackage-1.5-compat java-devel-default jpackage-utils gnu-getopt
BuildPreReq: python-devel = %__python_version
BuildPreReq: python-module-numpy

%description
  Babel is a language interoperability tool intended for use by
the high-performance scientific computing community.  Developed
by the Components project (http://www.llnl.gov/CASC/components)
at Lawrence Livermore National Laboratory, Babel supports the
Scientific Interface Definition Language (SIDL) for the language-
independent declaration of interfaces associated with scientific
software packages.

  The Babel tool, applied to a SIDL file, results in the automatic
generation of the associated skeleton and stub source files.  The
Babel user then need only add the necessary code to the _Impl source
files to complete the provision of a language-independent interface
to the package described by the SIDL file.  The languages currently
supported by Babel are C, C++, F77, F90, Java and Python.  

This package contains main compiler files. Conflicts with Open Babel, because
contains another file named 'babel' in /usr/bin.

%package -n lib%name
Summary: Shared libraries of Babel
Group: System/Libraries

%description -n lib%name
  Babel is a language interoperability tool intended for use by
the high-performance scientific computing community.  Developed
by the Components project (http://www.llnl.gov/CASC/components)
at Lawrence Livermore National Laboratory, Babel supports the
Scientific Interface Definition Language (SIDL) for the language-
independent declaration of interfaces associated with scientific
software packages.

  The Babel tool, applied to a SIDL file, results in the automatic
generation of the associated skeleton and stub source files.  The
Babel user then need only add the necessary code to the _Impl source
files to complete the provision of a language-independent interface
to the package described by the SIDL file.  The languages currently
supported by Babel are C, C++, F77, F90, Java and Python.  

This package contains shared libraries of Babel.

%package -n lib%name-devel
Summary: Development files for Babel
Group: Development/Other
Requires: %name = %version-%release
Requires: %name-common = %version-%release
Requires: lib%name = %version-%release
Requires: %name-j = %version-%release
Requires: python-module-sidl = %version-%release

%description -n lib%name-devel
  Babel is a language interoperability tool intended for use by
the high-performance scientific computing community.  Developed
by the Components project (http://www.llnl.gov/CASC/components)
at Lawrence Livermore National Laboratory, Babel supports the
Scientific Interface Definition Language (SIDL) for the language-
independent declaration of interfaces associated with scientific
software packages.

  The Babel tool, applied to a SIDL file, results in the automatic
generation of the associated skeleton and stub source files.  The
Babel user then need only add the necessary code to the _Impl source
files to complete the provision of a language-independent interface
to the package described by the SIDL file.  The languages currently
supported by Babel are C, C++, F77, F90, Java and Python.  

This package contains development files for Babel.

%package -n lib%name-devel-static
Summary: Static development files for Babel
Group: Development/Other
Requires: lib%name-devel = %version-%release

%description -n lib%name-devel-static
  Babel is a language interoperability tool intended for use by
the high-performance scientific computing community.  Developed
by the Components project (http://www.llnl.gov/CASC/components)
at Lawrence Livermore National Laboratory, Babel supports the
Scientific Interface Definition Language (SIDL) for the language-
independent declaration of interfaces associated with scientific
software packages.

  The Babel tool, applied to a SIDL file, results in the automatic
generation of the associated skeleton and stub source files.  The
Babel user then need only add the necessary code to the _Impl source
files to complete the provision of a language-independent interface
to the package described by the SIDL file.  The languages currently
supported by Babel are C, C++, F77, F90, Java and Python.  

This package contains static development files for Babel.

%package -n python-module-sidl
Summary: Babel python module
Group: Development/Python
Requires: python = %__python_version
Requires: lib%name = %version-%release

%description -n python-module-sidl
  Babel is a language interoperability tool intended for use by
the high-performance scientific computing community.  Developed
by the Components project (http://www.llnl.gov/CASC/components)
at Lawrence Livermore National Laboratory, Babel supports the
Scientific Interface Definition Language (SIDL) for the language-
independent declaration of interfaces associated with scientific
software packages.

  The Babel tool, applied to a SIDL file, results in the automatic
generation of the associated skeleton and stub source files.  The
Babel user then need only add the necessary code to the _Impl source
files to complete the provision of a language-independent interface
to the package described by the SIDL file.  The languages currently
supported by Babel are C, C++, F77, F90, Java and Python.  

This package contains python support extension modules for sidl.

%package j
Summary: Babel java packages
Group: Development/Java
BuildArch: noarch
Requires: lib%name = %version-%release
Requires: java >= 1.5.0

%description j
  Babel is a language interoperability tool intended for use by
the high-performance scientific computing community.  Developed
by the Components project (http://www.llnl.gov/CASC/components)
at Lawrence Livermore National Laboratory, Babel supports the
Scientific Interface Definition Language (SIDL) for the language-
independent declaration of interfaces associated with scientific
software packages.

  The Babel tool, applied to a SIDL file, results in the automatic
generation of the associated skeleton and stub source files.  The
Babel user then need only add the necessary code to the _Impl source
files to complete the provision of a language-independent interface
to the package described by the SIDL file.  The languages currently
supported by Babel are C, C++, F77, F90, Java and Python.  

This package contains Babel java packages.

%package common
Summary: Babel common files
Group: Development/Other
BuildArch: noarch

%description common
  Babel is a language interoperability tool intended for use by
the high-performance scientific computing community.  Developed
by the Components project (http://www.llnl.gov/CASC/components)
at Lawrence Livermore National Laboratory, Babel supports the
Scientific Interface Definition Language (SIDL) for the language-
independent declaration of interfaces associated with scientific
software packages.

  The Babel tool, applied to a SIDL file, results in the automatic
generation of the associated skeleton and stub source files.  The
Babel user then need only add the necessary code to the _Impl source
files to complete the provision of a language-independent interface
to the package described by the SIDL file.  The languages currently
supported by Babel are C, C++, F77, F90, Java and Python.  

This package contains Babel common files.

%package javadoc
Summary: Javadoc for Babel
Group: Development/Documentation
BuildArch: noarch

%description javadoc
  Babel is a language interoperability tool intended for use by
the high-performance scientific computing community.  Developed
by the Components project (http://www.llnl.gov/CASC/components)
at Lawrence Livermore National Laboratory, Babel supports the
Scientific Interface Definition Language (SIDL) for the language-
independent declaration of interfaces associated with scientific
software packages.

  The Babel tool, applied to a SIDL file, results in the automatic
generation of the associated skeleton and stub source files.  The
Babel user then need only add the necessary code to the _Impl source
files to complete the provision of a language-independent interface
to the package described by the SIDL file.  The languages currently
supported by Babel are C, C++, F77, F90, Java and Python.  

This package contains Javadoc for Babel.

%package manual
Summary: User manual for Babel
Group: Development/Documentation
BuildArch: noarch

%description manual
  Babel is a language interoperability tool intended for use by
the high-performance scientific computing community.  Developed
by the Components project (http://www.llnl.gov/CASC/components)
at Lawrence Livermore National Laboratory, Babel supports the
Scientific Interface Definition Language (SIDL) for the language-
independent declaration of interfaces associated with scientific
software packages.

  The Babel tool, applied to a SIDL file, results in the automatic
generation of the associated skeleton and stub source files.  The
Babel user then need only add the necessary code to the _Impl source
files to complete the provision of a language-independent interface
to the package described by the SIDL file.  The languages currently
supported by Babel are C, C++, F77, F90, Java and Python.  

This package contains user manual for Babel.


%prep
%setup

%build
export JAVAPREFIX="%_libexecdir/jvm/java"
export MPIDIR=%mpidir
export CLASSPATH=".:$(build-classpath gnu-getopt):$(pwd)/compiler"

%autoreconf
%configure \
	--with-gnu-ld \
	--with-F90-vendor=GNU \
	--with-libparsifal=%prefix \
	--with-libxml2=%prefix \
	--with-mpi=%mpidir/bin \
	--without-included-ltdl \
	--disable-ltdl-install \
	--enable-java=$JAVAPREFIX
sed -i -e '1a\echo="echo"' $(find ./ -name libtool)

%install
%make_build
%make_install_std

# fix bin files

sed -i \
	-e 's/^\(JAVA\)\=.*/\1="java"/' \
	-e 's/^\(is_installed\)\=.*/\1="true"/' \
	-e 's/xerces\-2\.9\.1/xerces-j2/g' \
	-e 's/\-I\ /-I. /g' \
	-e 's/\-I\"/-I."/g' \
	%buildroot%_bindir/babel*
sed -i 's|\${prefix}/lib|%_javadir|g' %buildroot%_bindir/babel*

install -d %buildroot%_docdir/%name
mv %buildroot%_docdir/%name-%version/* %buildroot%_docdir/%name/

# rename conflicted files

mv %buildroot%_datadir/aclocal/libtool.m4 \
	%buildroot%_datadir/aclocal/libtool-%name.m4
mv %buildroot%_datadir/aclocal/ltdl.m4 \
	%buildroot%_datadir/aclocal/ltdl-%name.m4

# prepare libs

install -d %buildroot%_javadir
pushd %buildroot%_libexecdir
rm -f xerces* xalan.*
mv LICENSE-SAX.html java-getopt.INFO java-getopt.LICENSE $OLDPWD/
mv *.jar %buildroot%_javadir/
popd

# javadoc

install -d %buildroot%_javadocdir/%name-%version
mv %buildroot%_docdir/%name/compiler-javadoc \
	%buildroot%_javadocdir/%name-%version/

%files
%doc ANNOUNCE BUGS CHANGES COPYRIGHT LICENSE README THANKS
%_bindir/*

%files -n lib%name
%_libdir/*-%version.so

%files -n lib%name-devel
%_includedir/*
%_libdir/*.so
%exclude %_libdir/*-%version.so
%_libdir/*.scl
%_aclocaldir/*

%files -n lib%name-devel-static
%_libdir/*.a

%files -n python-module-sidl
%python_sitelibdir/*

%files j
%doc LICENSE-SAX.html java-getopt.INFO java-getopt.LICENSE
%_javadir/*

%files common
%_datadir/*.sidl
%_datadir/%name-runtime-%version
%_datadir/%name-%version
%_datadir/sgml

%files javadoc
%_javadocdir/*

%files manual
%_docdir/%name

%changelog
* Tue May 05 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.4.0-alt3.M50.1
- Port for Branch 5.0

* Tue May 05 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.4.0-alt4
- Rename python module (%name -> sidl) (ALT #19915)

* Tue Apr 28 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.4.0-alt3
- Add dependence on libtool_1.5

* Sat Apr 18 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.4.0-alt2.1
- Fix wrong java paths in scripts

* Sat Apr 18 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.4.0-alt2
- Add missing babel script

* Fri Apr 17 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.4.0-alt1
- Initial build for Sisyphus

